package de.unibi.citec.fit.javasamples.strategies;

import de.unibi.citec.fit.javasamples.SampleSolution;

/**
 * built-in, string based, split-first approach with renamed methods and
 * variables.
 *
 * @author Benjamin Paassen - bpaassen(at)techfak.uni-bielefeld.de
 */
public class ImplBAA2 implements SampleSolution {

	@Override
	public boolean areAllWordsPalindromes(String inputString) {
		for (String subString : inputString.split(" ")) {
			if (!subString.equals((new StringBuilder(subString)).reverse().
					toString())) {
				return false;
			}
		}
		return true;
	}
}
