package de.unibi.citec.fit.javasamples.strategies;

import de.unibi.citec.fit.javasamples.SampleSolution;

/**
 * built-in, string based, split-first approach with changed order of declarations.
 *
 * @author Benjamin Paassen - bpaassen(at)techfak.uni-bielefeld.de
 */
public class ImplBAA3 implements SampleSolution {

	@Override
	public boolean areAllWordsPalindromes(String sentence) {
		for (String word : sentence.split(" ")) {
			if (!word.equals((new StringBuilder(word)).reverse().toString())) {
				return false;
			}
		}
		return true;
	}
}
