package de.unibi.citec.fit.javasamples.strategies;

import de.unibi.citec.fit.javasamples.SampleSolution;

/**
 * built-in, string based, split-first approach with additional lines.
 *
 * @author Benjamin Paassen - bpaassen(at)techfak.uni-bielefeld.de
 */
public class ImplBAA5 implements SampleSolution {

	@Override
	public boolean areAllWordsPalindromes(String sentence) {
		String[] wordsInTheSentence = sentence.split(" ");
		for (String word : wordsInTheSentence) {
			StringBuilder wordBuilder = new StringBuilder(word);
			StringBuilder reversedBuilder = wordBuilder.reverse();
			String reversedWord = reversedBuilder.toString();
			boolean isPalindrome = word.equals(reversedWord);
			if (!isPalindrome) {
				return false;
			}
		}
		return true;
	}
}
