package de.unibi.citec.fit.javasamples.strategies;

import de.unibi.citec.fit.javasamples.SampleSolution;

/**
 * built-in, array-based, split-first approach with renamed methods and
 * variables.
 *
 * @author Benjamin Paassen - bpaassen(at)techfak.uni-bielefeld.de
 */
public class ImplBBA2 implements SampleSolution {

	@Override
	public boolean areAllWordsPalindromes(String inputString) {
		for (String subString : inputString.split(" ")) {
			char[] stringChars = subString.toCharArray();
			for (int currentCharIndex = 0;
					currentCharIndex < stringChars.length / 2;
					currentCharIndex++) {
				if (stringChars[currentCharIndex]
						!= stringChars[stringChars.length - 1 - currentCharIndex]) {
					return false;
				}
			}
		}
		return true;
	}
}
