package de.unibi.citec.fit.javasamples.strategies;

import de.unibi.citec.fit.javasamples.SampleSolution;

/**
 * built-in, string based, split-first approach with changed order of operations.
 *
 * @author Benjamin Paassen - bpaassen(at)techfak.uni-bielefeld.de
 */
public class ImplBAA4 implements SampleSolution {

	@Override
	public boolean areAllWordsPalindromes(String sentence) {
		for (String word : sentence.split(" ")) {
			if (!(new StringBuilder(word)).reverse().toString().equals(word)) {
				return false;
			}
		}
		return true;
	}
}
