package de.unibi.citec.fit.javasamples.strategies;

import de.unibi.citec.fit.javasamples.SampleSolution;

/**
 * built-in, array-based, split-first approach with changed order of operations.
 *
 * @author Benjamin Paassen - bpaassen(at)techfak.uni-bielefeld.de
 */
public class ImplBBA4 implements SampleSolution {

	@Override
	public boolean areAllWordsPalindromes(String sentence) {
		for (String word : sentence.split(" ")) {
			char[] characters = word.toCharArray();
			for (int i = 0; i < characters.length / 2; i++) {
				if (characters[characters.length - 1 - i] != characters[i]) {
					return false;
				}
			}
		}
		return true;
	}
}
