package de.unibi.citec.fit.javasamples;

/**
 * Common interface for the solutions to the palindromic problem.
 * 
 * 
 * @author Benjamin Paassen - bpaassen(at)techfak.uni-bielefeld.de
 */
public interface SampleSolution {

	/**
	 * 
	 * @param sentence a sentence that might contain only palindroms.
	 * @return true if all words are palindroms.
	 */
	public boolean areAllWordsPalindromes(String sentence);

}
